"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _osanoUi = require("./osano-ui");
var _osanoContext = _interopRequireDefault(require("./osano-context"));
var _osano = require("./osano");
var _useCallbacks = require("./useCallbacks");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Is a provider that will wrap the children and provide the configuration to the Osano component
 * setHook is used to update the configuration of the Context outside component lifecycle (is not a good practice)
 */
function OsanoContainer(props) {
  const {
    children,
    considerSafeArea = true,
    configuration: defaultConfiguration
  } = props;
  const [configuration, setConfiguration] = (0, _react.useState)(defaultConfiguration);
  const safeAreaInsets = (0, _reactNativeSafeAreaContext.useSafeAreaInsets)();
  const callbacks = (0, _useCallbacks.useCallbacks)(props);
  (0, _react.useEffect)(() => {
    _osano.OsanoHook.setHook(setConfiguration);
  }, [setConfiguration]);
  const insets = considerSafeArea ? safeAreaInsets : {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  };
  return /*#__PURE__*/_react.default.createElement(_osanoContext.default.Provider, {
    value: configuration
  }, children, /*#__PURE__*/_react.default.createElement(_osanoUi.OsanoUi, {
    insets: insets,
    callbacks: callbacks
  }));
}
var _default = exports.default = OsanoContainer;
//# sourceMappingURL=osano-container.js.map