"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OsanoWebView = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeWebview = require("react-native-webview");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
/**
 *  NOT change the following value
 * - the background of webview must be transparent because otherwise the page will
 *   cover the background with default background color and you'll see the image just
 *   after some scroll up/down (Android BUG)
 */
const getWebViewStyle = style => {
  const backgroundStyle = {
    backgroundColor: "#00000000"
  };
  if (!style) {
    return backgroundStyle;
  }
  return _reactNative.StyleSheet.flatten([style, backgroundStyle]);
};
const OsanoWebView = exports.OsanoWebView = /*#__PURE__*/(0, _react.forwardRef)((props, ref) => {
  const {
    style,
    ...rest
  } = props;
  return /*#__PURE__*/_react.default.createElement(_reactNativeWebview.WebView, _extends({
    ref: ref,
    style: getWebViewStyle(style),
    originWhitelist: ["http://", "https://", "xhttp://", "xhttps://", "local://", "file://"],
    mixedContentMode: "always",
    allowFileAccess: true,
    allowUniversalAccessFromFileURLs: true,
    thirdPartyCookiesEnabled: true,
    domStorageEnabled: true,
    javaScriptEnabled: true,
    sharedCookiesEnabled: true,
    bounces: false,
    cacheEnabled: true
  }, rest, {
    startInLoadingState: false
    //@ts-ignore
    ,
    androidForceHasOverlappingRendering: false,
    messagingEnabled: true
  }));
});
//# sourceMappingURL=osano-webview.js.map