"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useJavascriptInjection = void 0;
var _reactNativeEventListeners = require("@tecnavia/react-native-event-listeners");
var _react = require("react");
var _events = require("./events");
const useJavascriptInjection = ref => {
  (0, _react.useEffect)(() => {
    const tcDataId = _reactNativeEventListeners.EventRegister.on(_events.Events.ASK_TC_DATA, () => {
      var _ref$current;
      (_ref$current = ref.current) === null || _ref$current === void 0 || _ref$current.injectJavaScript("askTcData()");
    });
    const uspDataId = _reactNativeEventListeners.EventRegister.on(_events.Events.ASK_USP_DATA, () => {
      var _ref$current2;
      (_ref$current2 = ref.current) === null || _ref$current2 === void 0 || _ref$current2.injectJavaScript("askUspData()");
    });
    const showDrawerId = _reactNativeEventListeners.EventRegister.on(_events.Events.SHOW_DRAWER, () => {
      var _ref$current3;
      (_ref$current3 = ref.current) === null || _ref$current3 === void 0 || _ref$current3.injectJavaScript("showDrawer()");
    });
    const showDialogId = _reactNativeEventListeners.EventRegister.on(_events.Events.SHOW_DIALOG, () => {
      var _ref$current4;
      (_ref$current4 = ref.current) === null || _ref$current4 === void 0 || _ref$current4.injectJavaScript("showDialog()");
    });
    const changeConsentId = _reactNativeEventListeners.EventRegister.on(_events.Events.CHANGE_CONSENT, () => {
      var _ref$current5;
      (_ref$current5 = ref.current) === null || _ref$current5 === void 0 || _ref$current5.injectJavaScript("changeConsent()");
    });
    const clearConsentId = _reactNativeEventListeners.EventRegister.on(_events.Events.CLEAR_CONSENT, () => {
      var _ref$current6;
      (_ref$current6 = ref.current) === null || _ref$current6 === void 0 || _ref$current6.injectJavaScript("clearConsent()");
    });
    const getConsentDate = _reactNativeEventListeners.EventRegister.on(_events.Events.GET_CONSENT_DATE, () => {
      var _ref$current7;
      (_ref$current7 = ref.current) === null || _ref$current7 === void 0 || _ref$current7.injectJavaScript("getConsentDate()");
    });
    const getConsentDataId = _reactNativeEventListeners.EventRegister.on(_events.Events.ASK_CONSENT_DATA, () => {
      var _ref$current8;
      (_ref$current8 = ref.current) === null || _ref$current8 === void 0 || _ref$current8.injectJavaScript("askConsentData()");
    });
    const askVendorListDataId = _reactNativeEventListeners.EventRegister.on(_events.Events.ASK_VENDOR_LIST_DATA, () => {
      var _ref$current9;
      (_ref$current9 = ref.current) === null || _ref$current9 === void 0 || _ref$current9.injectJavaScript("askVendorListData()");
    });
    return () => {
      _reactNativeEventListeners.EventRegister.rm(tcDataId);
      _reactNativeEventListeners.EventRegister.rm(uspDataId);
      _reactNativeEventListeners.EventRegister.rm(showDrawerId);
      _reactNativeEventListeners.EventRegister.rm(showDialogId);
      _reactNativeEventListeners.EventRegister.rm(changeConsentId);
      _reactNativeEventListeners.EventRegister.rm(clearConsentId);
      _reactNativeEventListeners.EventRegister.rm(getConsentDate);
      _reactNativeEventListeners.EventRegister.rm(getConsentDataId);
      _reactNativeEventListeners.EventRegister.rm(askVendorListDataId);
    };
  }, [ref]);
};
exports.useJavascriptInjection = useJavascriptInjection;
//# sourceMappingURL=useJavascriptInjection.js.map